<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags"%>
<%@taglib prefix="tags" tagdir="/WEB-INF/tags" %>
<div class="starter-template">
	<tags:errorCheck />
	<h1>Configure Application</h1>
	<p class="lead">The following settings will configure the application for use with the Perforce server</p>

	<form class="form-horizontal" data-toggle="validator" role="form" method="POST" action="${context}/admin/configure.htm">
	
		<div class="panel panel-info">
			<div class="panel-heading">Perforce Server Settings</div>
			<div class="panel-body">
			
				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.uniqueUserEmails.boolean">Enforce Unique User Emails</label>
				  <div class="col-md-4"> 
				    <label class="radio-inline" for="com.perforce.admin.uniqueUserEmails.boolean-0">
				      <input type="radio" name="com.perforce.admin.uniqueUserEmails.boolean" id="com.perforce.admin.uniqueUserEmails.boolean-0" value="1" checked="checked">
				      true
				    </label> 
				    <label class="radio-inline" for="com.perforce.admin.uniqueUserEmails.boolean-1">
				      <input type="radio" name="com.perforce.admin.uniqueUserEmails.boolean" id="com.perforce.admin.uniqueUserEmails.boolean-1" value="0">
				      false
				    </label>
				    <span class="help-block">If set to true, users will not be able to create accounts with email addresses that are already in use.</span>
				  </div>
				</div>
				
				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.accountApprovalRequired.boolean">Account Approval Required</label>
				  <div class="col-md-4"> 
				    <label class="radio-inline" for="com.perforce.admin.accountApprovalRequired.boolean-0">
				      <input type="radio" name="com.perforce.admin.accountApprovalRequired.boolean" id="com.perforce.admin.accountApprovalRequired.boolean-0" value="1" checked="checked">
				      true
				    </label> 
				    <label class="radio-inline" for="com.perforce.admin.accountApprovalRequired.boolean-1">
				      <input type="radio" name="com.perforce.admin.accountApprovalRequired.boolean" id="com.perforce.admin.accountApprovalRequired.boolean-1" value="0">
				      false
				    </label>
				    <span class="help-block">If set to true, user accounts are not created until approved by an administrator.</span>
				  </div>
				</div>

				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.minFreeUsers.integer">Minimum of Free Users</label>  
				  <div class="col-md-4">
				  <input id="com.perforce.admin.minFreeUsers.integer" name="com.perforce.admin.minFreeUsers.integer" type="text" placeholder="0" class="form-control input-md">
				  <span class="help-block">The number of licensed users to reserve.</span>  
				  </div>
				</div>
				
				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.passwordsInPerforce.boolean">Perforce Server stores passwords</label>
				  <div class="col-md-4"> 
				    <label class="radio-inline" for="com.perforce.admin.passwordsInPerforce.boolean-0">
				      <input type="radio" name="com.perforce.admin.passwordsInPerforce.boolean" id="com.perforce.admin.passwordsInPerforce.boolean-0" value="1" checked="checked">
				      true
				    </label> 
				    <label class="radio-inline" for="com.perforce.admin.passwordsInPerforce.boolean-1">
				      <input type="radio" name="com.perforce.admin.passwordsInPerforce.boolean" id="com.perforce.admin.passwordsInPerforce.boolean-1" value="0">
				      false
				    </label>
				    <span class="help-block">Set to true if you are not using external authentication.</span>
				  </div>
				</div>
				
				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.hiddenGroups">Hidden Groups</label>
				  <div class="col-md-4">
				    <select id="com.perforce.admin.hiddenGroups" name="com.perforce.admin.hiddenGroups" class="form-control" multiple="multiple">
				      <option value="">group1</option>
				      <option value="">group2</option>
				    </select>
				    <span class="help-block">These groups will be hidden in the group management panel. Users will not be able to subscribe or unsubscribe from them.</span>
				  </div>
				</div>

				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.autoSubscribeGroups">Auto-subscribe Groups</label>
				  <div class="col-md-4">
				    <select id="com.perforce.admin.autoSubscribeGroups" name="com.perforce.admin.autoSubscribeGroups" class="form-control" multiple="multiple">
				      <option value="">group3</option>
				      <option value="">group4</option>
				    </select>
				  	<span class="help-block">These are groups to which users can subscribe themselves</span>  
				  </div>
				</div>
				
				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.defaultGroupOwner">Default Group Owner</label>  
				  <div class="col-md-4">
				  <input id="com.perforce.admin.defaultGroupOwner" name="com.perforce.admin.defaultGroupOwner" type="text" placeholder="username" class="form-control input-md">
				  <span class="help-block">This user will be assigned as the owner of groups that have no owner</span>  
				  </div>
				</div>
			</div>
		</div>
		
		<div class="panel panel-info">
			<div class="panel-heading">Mail Server Settings</div>
  			<div class="panel-body">

				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.mailHost">Mail Server Hostname or IP Address</label>  
				  <div class="col-md-4">
				  <input id="com.perforce.admin.mailHost" name="com.perforce.admin.mailHost" type="text" placeholder="mail.host.com" class="form-control input-md">
				  </div>
				</div>

				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.mailPort.integer">Mail Server Port</label>  
				  <div class="col-md-4">
				  <input id="com.perforce.admin.mailPort.integer" name="com.perforce.admin.mailPort.integer" type="text" placeholder="25" class="form-control input-md">
				  </div>
				</div>

				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.mailAuth">Mail Server Requires Authentication</label>
				  <div class="col-md-4"> 
				    <label class="radio-inline" for="com.perforce.admin.mailAuth-0">
				      <input type="radio" name="com.perforce.admin.mailAuth" id="com.perforce.admin.mailAuth-0" value="1" checked="checked">
				      true
				    </label> 
				    <label class="radio-inline" for="com.perforce.admin.mailAuth-1">
				      <input type="radio" name="com.perforce.admin.mailAuth" id="com.perforce.admin.mailAuth-1" value="0">
				      false
				    </label>
				    <span class="help-block">Set to true if you are not using external authentication.</span>
				  </div>
				</div>

				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.mailUser">Mail Authentication Username</label>  
				  <div class="col-md-4">
				  <input id="com.perforce.admin.mailUser" name="com.perforce.admin.mailUser" type="text" placeholder="mail.host.com" class="form-control input-md">
				  </div>
				</div>
				
				<div class="form-group">
					<label class="col-md-4 control-label" for="com.perforce.admin.mailPass">Mail Authentication Password</label>
					<div class="col-md-4">
						<input id="com.perforce.admin.mailPass" name="com.perforce.admin.mailPass" type="password" placeholder="password" class="form-control input-md">
					</div>
				</div>

				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.mailSSL.boolean">Mail Server Requires SSL</label>
				  <div class="col-md-4"> 
				    <label class="radio-inline" for="com.perforce.admin.mailSSL.boolean-0">
				      <input type="radio" name="com.perforce.admin.mailSSL.boolean" id="com.perforce.admin.mailSSL.boolean-0" value="1" checked="checked">
				      true
				    </label> 
				    <label class="radio-inline" for="com.perforce.admin.mailAuth.boolean-1">
				      <input type="radio" name="com.perforce.admin.mailSSL.boolean" id="com.perforce.admin.mailSSL.boolean-1" value="0">
				      false
				    </label>
				    <span class="help-block">Set to true if the mail server requires SSL communication.</span>
				  </div>
				</div>

				<div class="form-group">
				  <label class="col-md-4 control-label" for="com.perforce.admin.mailFrom">Mail From Address</label>  
				  <div class="col-md-4">
				  <input id="com.perforce.admin.mailFrom" name="com.perforce.admin.mailFrom" type="text" placeholder="mail.host.com" class="form-control input-md">
				  </div>
				</div>

			</div>
		</div>

		<div class="form-group">
			<button type="submit" class="btn btn-primary" disabled="disabled">Submit Configuration</button>
		</div>
	</form>
</div>


