<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags"%>
<%@taglib prefix="tags" tagdir="/WEB-INF/tags" %>
<div class="starter-template">
	<tags:errorCheck />
	<h1>Register for an Account</h1>
	<p class="lead">Complete the information on this page to request a
		Perforce account</p>

	<form data-toggle="validator" role="form" method="POST" action="${context}/register.htm">
		<div class="form-group">
			<label for="inputName" class="control-label">name</label>
			<input type="text" class="form-control" id="inputName" name="inputName" value="${inputName}"
				placeholder="Full Name" required>
		</div>
		<div class="form-group">
			<label for="inputUsername" class="control-label">username</label>
			<div class="input-group">
				<span class="input-group-addon">&gt;</span> 
				<input type="text" name="inputUsername" value="${inputUsername}"
					pattern="^([\._A-z0-9]){3,}$" maxlength="20" class="form-control"
					data-error="invalid username" id="inputUsername" placeholder="userId" required>
			</div>
			<span class="help-block with-errors">Up to 20 letters, numbers and underscores</span>
		</div>
		<div class="form-group">
			<label for="inputEmail" class="control-label">email</label>
			<div class="input-group">
				<span class="input-group-addon">@</span>
				<input
					type="email" class="form-control" id="inputEmail" name="inputEmail" value="${inputEmail}"
					placeholder="Email" data-error="that email address is not valid" required>
				<div class="help-block with-errors"></div>
			</div>
		</div>
		<c:if test="${helper.serverStoringPasswords}">
			<div class="form-group">
				<label for="inputPassword" class="control-label">password</label>
				<div class="form-group">
					<input type="password" data-toggle="validator" data-minlength="6" name="inputPassword" value="${inputPassword}"
						class="form-control" id="inputPassword" placeholder="Password" required>
					<span class="help-block">minimum of 6 characters</span>
					<label for="inputPassword" class="control-label">confirmation</label>
					<input type="password" class="form-control" name="inputConfirm"
						id="inputPasswordConfirm" data-match="#inputPassword" value="${inputConfirm}"
						data-match-error="passwords do not match" placeholder="Confirm Password" required>
					<div class="help-block with-errors"></div>
				</div>
				<br />
				<div class="form-group">
				</div>
			</div>
		</c:if>
		<div class="form-group">
			<button type="submit" class="btn btn-primary" disabled="disabled">Submit</button>
		</div>
	</form>
</div>