<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ page pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>

<c:set var="context" scope="request" value="${pageContext.request.contextPath}" />
<sec:authorize access="isAuthenticated()">
	<c:set var="isAuthenticated" scope="request" value="true" />
</sec:authorize>
<sec:authorize access="hasRole('SEC_ADMIN')" >
	<c:set var="isAdmin" scope="request" value="true" />
</sec:authorize>

<html lang="en">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="${context}/assets/ico/favicon.ico">

    <title><tiles:getAsString name="title" /></title>

    <script src="${context}/assets/js/jquery-1.11.0.min.js"></script>

    <!-- Bootstrap core CSS -->
    <link href="${context}/assets/css/bootstrap.css" rel="stylesheet">

    <!-- Bootstrap theme CSS -->
    <link href="${context}/assets/css/bootstrap-theme.css" rel="stylesheet">

	<!--  FontAwesome CSS -->
	<link href="${context}/assets/css/font-awesome.min.css" rel="stylesheet">
	
    <!-- Custom styles for this template -->
    <link href="${context}/assets/css/p4selfservice.css" rel="stylesheet">

    <!-- Just for debugging purposes. Don't actually copy this line! -->
    <!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    
  </head>

  <body>
    
	<tiles:insertAttribute name="nav" />

    <div class="container">
    
      <tiles:insertAttribute name="content" />

    </div><!-- /.container -->


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="${context}/assets/js/bootstrap.min.js"></script>
    <script src="${context}/assets/js/validator.js"></script>
	
  </body>
</html>
